Index: doc/src/sgml/client-auth.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/client-auth.sgml,v
retrieving revision 1.35
diff -c -r1.35 client-auth.sgml
*** doc/src/sgml/client-auth.sgml	9 Apr 2002 00:38:24 -0000	1.35
--- doc/src/sgml/client-auth.sgml	15 Aug 2002 16:52:51 -0000
***************
*** 29,36 ****
  
   <para>
    <productname>PostgreSQL</productname> offers a number of different
!   client authentication methods. The method to be used can be selected
!   on the basis of (client) host, database, and user.
   </para>
  
   <para>
--- 29,37 ----
  
   <para>
    <productname>PostgreSQL</productname> offers a number of different
!   client authentication methods. The method used to authenticate a
!   particular client connection can be selected on the basis of
!   (client) host address, database, and user.
   </para>
  
   <para>
***************
*** 56,63 ****
     <filename>pg_hba.conf</filename> in the data directory, e.g.,
     <filename>/usr/local/pgsql/data/pg_hba.conf</filename>.
     (<acronym>HBA</> stands for host-based authentication.) A default
!    <filename>pg_hba.conf</filename> file is installed when the data area
!    is initialized by <command>initdb</command>.
    </para>
  
    <para>
--- 57,64 ----
     <filename>pg_hba.conf</filename> in the data directory, e.g.,
     <filename>/usr/local/pgsql/data/pg_hba.conf</filename>.
     (<acronym>HBA</> stands for host-based authentication.) A default
!    <filename>pg_hba.conf</filename> file is installed when the data
!    directory is initialized by <command>initdb</command>.
    </para>
  
    <para>
***************
*** 124,130 ****
         enabled with the <option>-l</> option or equivalent configuration
         setting when the server is started.  (Note: <literal>host</literal>
         records will match either SSL or non-SSL connection attempts, but
!        <literal>hostssl</literal> records requires SSL connections.)
        </para>
       </listitem>
      </varlistentry>
--- 125,131 ----
         enabled with the <option>-l</> option or equivalent configuration
         setting when the server is started.  (Note: <literal>host</literal>
         records will match either SSL or non-SSL connection attempts, but
!        <literal>hostssl</literal> records require SSL connections.)
        </para>
       </listitem>
      </varlistentry>
***************
*** 199,207 ****
           <term><literal>trust</></term>
           <listitem>
           <para>
!           The connection is allowed unconditionally. This method allows
!           any user that has login access to the client host to connect as
!           any <productname>PostgreSQL</productname> user whatsoever.
           </para>
          </listitem>
         </varlistentry>
--- 200,210 ----
           <term><literal>trust</></term>
           <listitem>
           <para>
!           The connection is allowed unconditionally. This method
!           allows anyone that can connect to the
!           <productname>PostgreSQL</productname> database to login as
!           any <productname>PostgreSQL</productname> user they like,
!           without the need for a password.
           </para>
          </listitem>
         </varlistentry>
***************
*** 222,228 ****
           <para>
            Requires the client to supply an MD5 encrypted password for
            authentication. This is the only method that allows encrypted
!           passwords to be stored in pg_shadow.
           </para>
          </listitem>
         </varlistentry>
--- 225,231 ----
           <para>
            Requires the client to supply an MD5 encrypted password for
            authentication. This is the only method that allows encrypted
!           passwords to be stored in <structname>pg_shadow</structname>.
           </para>
          </listitem>
         </varlistentry>
***************
*** 273,287 ****
          <listitem>
  	 <para>
            For TCP/IP connections, authentication is done by contacting
!           the <firstterm>ident</firstterm> server on the client host.
!           This is only as secure as the client machine. You must specify
!           the map name after the 'ident' keyword. It determines how to
!           map remote user names to PostgreSQL user names. If you use
            "sameuser", the user names are assumed to be identical. If
            not, the map name is looked up in the $PGDATA/pg_ident.conf
            file. The connection is accepted if that file contains an
!           entry for this map name with the ident-supplied user name and
!           the requested PostgreSQL user name.
           </para>
           <para>
            On machines that support unix-domain socket credentials
--- 276,292 ----
          <listitem>
  	 <para>
            For TCP/IP connections, authentication is done by contacting
!           the <firstterm>ident</firstterm> server on the client
!           host. This is only as secure as the client machine. You must
!           specify the map name after the 'ident' keyword. It
!           determines how to map remote user names to
!           <productname>PostgreSQL</productname> user names. If you use
            "sameuser", the user names are assumed to be identical. If
            not, the map name is looked up in the $PGDATA/pg_ident.conf
            file. The connection is accepted if that file contains an
!           entry for this map name with the ident-supplied user name
!           and the requested <productname>PostgreSQL</productname> user
!           name.
           </para>
           <para>
            On machines that support unix-domain socket credentials
***************
*** 317,324 ****
            <literal>postgresql</literal>. You can optionally supply you
            own service name after the <literal>pam</> keyword in the
            file. For more information about PAM, please read the <ulink
!           url="http://www.kernel.org/pub/linux/libs/pam/"><productname>L
!           inux-PAM</productname> Page</ulink> and the <ulink
            url="http://www.sun.com/software/solaris/pam/"><systemitem
            class="osname">Solaris</> PAM Page</ulink>.
           </para>
--- 322,329 ----
            <literal>postgresql</literal>. You can optionally supply you
            own service name after the <literal>pam</> keyword in the
            file. For more information about PAM, please read the <ulink
!           url="http://www.kernel.org/pub/linux/libs/pam/"><productname>Linux-PAM</>
!           Page</ulink> and the <ulink
            url="http://www.sun.com/software/solaris/pam/"><systemitem
            class="osname">Solaris</> PAM Page</ulink>.
           </para>
